## org.apache.axis.encoding
Class ConstructorTarget

    java.lang.Object
      org.apache.axis.encoding.ConstructorTarget

All Implemented Interfaces:
  Target

public class ConstructorTarget
extends java.lang.Object
implements Target

Used when the class need a specific Constructor (not default one)

Author:
  Florent Benoit

Constructor Summary
`ConstructorTarget(java.lang.reflect.Constructor constructor, Deserializer deSerializer)`

Method Summary
`void` `set(java.lang.Object value)` Instantiate a new class with right constructor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstructorTarget

    public ConstructorTarget(java.lang.reflect.Constructor constructor,
                             Deserializer deSerializer)

Method Detail

### set

    public void set(java.lang.Object value)
             throws org.xml.sax.SAXException

  Instantiate a new class with right constructor

  Specified by:
    `set` in interface `Target`
  Parameters:
    `value` - value to use on Constructor
  Throws:
    `org.xml.sax.SAXException` - on error

Copyright © 2005 Apache Web Services Project. All Rights Reserved.